Uploaded image for project: 'Maven Dependency Plugin'
  1. Maven Dependency Plugin
  2. MDEP-670

<dependencyManagement> override indirect dependency version when run dependency:tree

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Not A Bug
    • Affects Version/s: 3.1.1
    • Fix Version/s: None
    • Component/s: tree
    • Labels:
      None

      Description

      1. Define a dependency (for example org.slf4j:slf4j-api:1.6.0) in <dependencyManagement>

      2. Depend a middle dependency with indirect dependency org.slf4j:slf4j-api:1.7.0

      3. Run dependency:tree will show the middle dependency depend with 1.6.0 rather than 1.7.0

       

        Attachments

        1. mdep-670.tgz
          20 kB
          yx91490

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              yx91490 yx91490
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: